* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: GoRound TC;
    background-color: #fefae0;
}

h1 {
    margin-top: 1.2rem;
    margin-left: 1.5rem;
}

#envelope {
    position: relative;
    height: 300px;
    width: 500px;
    background-color: #faedcd;
    border: 8px solid #d4a373;
    top: 1rem;
    border-radius: 20px;
    margin: 0 auto;
}

.envelope-line {
    position: absolute;
    width: 316px;
    background-color: #d4a373;
    border-bottom: #d4a373;
    border: 3px solid #d4a373;
}

.top-left {
    transform: rotate(40deg);
    top: 98px;
    left: -35px;
}

.top-right {
    transform: rotate(-40deg);
    top: 98px;
    right: -35px;
}

.bottom-left {
    transform: rotate(-45deg);
    bottom: 80px;
    left: -36px;
    width: 218px;
}

.bottom-right {
    transform: rotate(45deg);
    bottom: 80px;
    right: -36px;
    width: 218px;
}

a {
    position: absolute;
    height: 80px;
    width: 80px;
    border-radius: 50%;
    background-color: #bb3e03;
    color: white;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    top: 150px;
    left: 200px;
}

#message-card p:not(:last-of-type) {
    margin-bottom: 1.2rem;
    line-height: 1.8rem;
}

#message-card {
    margin-top: 4rem;
    background-color: #e9edc9;
    border: 5px solid #ccd5ae;
    padding: 1.5rem 1.2rem;
    width: 80vw;
    max-width: 490px;
    margin-right: auto;
    margin-left: auto;
    margin-bottom: 1.5rem;
    border-radius: 20px;
    display: none;
    transition: all 0.3s ease-in;
    box-shadow: 0 5px 20px 0px;
}

#message-card:target {
    display: block;
}

